Show / Hide Table of Contents

# Class CustomContextMenuItem

An item in a context menu with a user defined action.

##### Inheritance

System.Object
ContextMenuItem
CustomContextMenuItem

##### Inherited Members

ContextMenuItem.Name
ContextMenuItem.IsEnabled
ContextMenuItem.Indicator
ContextMenuItem.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class CustomContextMenuItem : ContextMenuItem

### Constructors

| Improve this Doc View Source

#### CustomContextMenuItem(SeString, CustomContextMenuItemSelectedDelegate)

Initializes a new instance of the CustomContextMenuItem class.

##### Declaration

    public CustomContextMenuItem(SeString name, CustomContextMenuItemSelectedDelegate itemSelected)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | name | The name of the item.
CustomContextMenuItemSelectedDelegate | itemSelected | The action that will be called when the item is selected.

### Properties

| Improve this Doc View Source

#### ItemSelected

Gets the action that will be called when the item is selected.

##### Declaration

    public CustomContextMenuItemSelectedDelegate ItemSelected { get; }

##### Property Value

Type | Description
--- | ---
CustomContextMenuItemSelectedDelegate |

### Methods

| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

ContextMenuItem.GetHashCode()